package org.king.common.exception;

import lombok.Getter;

public class MaTokenException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	@Getter
	private Integer errorCode;

	public MaTokenException(String message) {
		super(message);
	}

	public MaTokenException(String message, Integer errorCode) {
		super(message);
		this.errorCode = errorCode;
	}

	public MaTokenException(Throwable cause)
	{
		super(cause);
	}

	public MaTokenException(String message, Throwable cause)
	{
		super(message,cause);
	}

}
